package com.foo.myservice.jmx;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class MyServiceMBeanImpl implements MyServiceMBean {

    private final Logger logger = LoggerFactory.getLogger(getClass());

    public MyServiceMBeanImpl() {
        logger.info("MyServiceMBeanImpl ctor");
    }

    @Override
    public void runSubmitTask() {
        logger.info("Running submitTask!");
    }

    @Override
    public void checkReceipt() {
        logger.info("Running checkReceipt!");
    }
}
